Summary: 	Hardware Abstraction Layer
Name: 		hal
Version: 	0.5.2
Release: 	1
URL: 		http://www.freedesktop.org/Software/hal
Source0: 	%{name}-%{version}.tar.gz
Patch0:		%{name}-%{version}.diff
License: 	AFL/GPL
Group: 		Libraries
BuildRoot: 	%{_tmppath}/%{name}-root
Requires: 	dbus hwdata libusb
BuildRequires:  dbus-devel libusb-devel

%description
HAL is daemon for collection and maintaining information from several
sources about the hardware on the system. It provdes a live device
list through D-BUS.

#groupadd haldaemon
#useradd -g haldaemon haldaemon

The command to start it correctly for our purposes is:
#hald --retain-privileges --daemon=yes

%package 	devel
Summary: 	Libraries and headers for HAL
Group: 		Development

%description 	devel
Headers, static libraries and API docs for HAL.

%prep
%setup -q
%patch0 -p0

%build
export LDFLAGS="-lintl"
intltoolize -f
%configure  \
    --disable-docbook-docs \
    --disable-doxygen-docs \
    --enable-fstab-sync \
    --enable-hotplug-map \
    --enable-sysfs-carrier \
    --enable-pcmcia-support \
    --with-stab-file=/var/lib/pcmcia/stab \
    --with-pid-file=/var/run/hald.pid \
    --with-hal-user=haldaemon \
    --with-hal-group=haldaemon
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_sysconfdir}
%{_sbindir}
%{_libexecdir}
%{_datadir}
%{_mandir}

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_includedir}
